package com.bonus.canteen.core.report.api.vo;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

public class ReportOrderDetaiVO {
   @ApiModelProperty("订单日期 yyyy-MM-dd")
   private LocalDate ordGoodsDate;
   @ApiModelProperty("餐次类型")
   private Long mealtimeType;
   @ApiModelProperty("菜品/商品id")
   private Long goodsDishesId;
   @ApiModelProperty("菜品/商品名称")
   private String goodsDishesName;
   @ApiModelProperty("商品数量")
   private Integer quantity;
   @ApiModelProperty("销售方式 1 按份  2 称重")
   private Integer salesMode;
   @ApiModelProperty("销售金额 分")
   private Integer realAmount;
   @ApiModelProperty("订单类型")
   private Integer orderType;
   @ApiModelProperty("就餐日期")
   private LocalDate orderDate;

   public LocalDate getOrdGoodsDate() {
      return this.ordGoodsDate;
   }

   public Long getMealtimeType() {
      return this.mealtimeType;
   }

   public Long getGoodsDishesId() {
      return this.goodsDishesId;
   }

   public String getGoodsDishesName() {
      return this.goodsDishesName;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public Integer getOrderType() {
      return this.orderType;
   }

   public LocalDate getOrderDate() {
      return this.orderDate;
   }

   public void setOrdGoodsDate(final LocalDate ordGoodsDate) {
      this.ordGoodsDate = ordGoodsDate;
   }

   public void setMealtimeType(final Long mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setGoodsDishesId(final Long goodsDishesId) {
      this.goodsDishesId = goodsDishesId;
   }

   public void setGoodsDishesName(final String goodsDishesName) {
      this.goodsDishesName = goodsDishesName;
   }

   public void setQuantity(final Integer quantity) {
      this.quantity = quantity;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

   public void setOrderType(final Integer orderType) {
      this.orderType = orderType;
   }

   public void setOrderDate(final LocalDate orderDate) {
      this.orderDate = orderDate;
   }

}
